/*
 * AppController.j
 * AdvancedHelloWorld2
 *
 * Created by You on May 24, 2016.
 * Copyright 2016, Your Company All rights reserved.
 */

@import <Foundation/Foundation.j>
@import <AppKit/AppKit.j>
@import "MainViewController.j"

@implementation AppController : CPObject
{

}

- (void)applicationDidFinishLaunching:(CPNotification)aNotification
{
    // This is called when the application is done loading.    
    var theWindow = [[CPWindow alloc] initWithContentRect:CGRectMakeZero() styleMask:CPBorderlessBridgeWindowMask],
        contentView = [theWindow contentView],
        bounds = [contentView bounds];

    console.log("load the mainVC");
    //create the MainView
    var mainViewController = [[MainViewController alloc] initWithCibName:@"MainView" bundle:[CPBundle mainBundle]],
        mainView = [mainViewController view];
    console.log("set the frame of mainView");
    [mainView setFrame:bounds];
    console.log("add mainView as subview");
    [contentView addSubview:mainView];
    [theWindow orderFront:self];
    console.log("app finished loading");
}



@end
