console.log("LibraryTableCell.j");


@implementation LibraryTableCell : CPTextField
{
}


- (void)setSelected:(BOOL)selected animated:(BOOL)animated
{
    if (selected == YES)
    {
        [self setTextColor:[CPColor whiteColor]];
    }else{
        [self setTextColor:[CPColor blackColor]];
    }
}

- (BOOL)setThemeState:(ThemeState)aState
{
    var superAllowed = [super setThemeState:aState];
    [self setSelected:[self hasThemeState:CPThemeStateSelectedDataView] animated:NO];
    return superAllowed;

}

- (BOOL)unsetThemeState:(ThemeState)aState
{
    var superAllowed = [super unsetThemeState:aState];
    [self setSelected:[self hasThemeState:CPThemeStateSelectedDataView] animated:NO];
    return superAllowed;

}



@end
